import request from "@/utils/request.js";

export const getSubCompanyList=(params)=>{
    return request({
        url:'/admin/mosr/sub/company',
        method:'get',
        params
    })
}
export const getDepartmentList=(params)=>{
    return request({
        url:'/admin/mosr/department',
        method:'get',
        params
    })
}
export const getCompanyDetail=(companyId)=>{
    return request({
        url:`/admin/mosr/sub/company/info/${companyId}`,
        method:'get'
    })
}

export const setCompanyLeader=(data)=>{
    return request({
        url:'/admin/mosr/sub/company/leader',
        method:'post',
        data:data
    })
}
